
package ejemplomenu;

import java.io.BufferedReader;
import java.io.InputStreamReader;

public class EjemploMenu {

    public static void main(String[] args) {
        BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(System.in));
        String opcion;
        
        try {
             do {
                  System.out.println("----- MENU -----");
                  System.out.println("1.- Mantenimiento clientes");
                  System.out.println("2.- Introducción de facturas");
                  System.out.println("3.- Listado de facturas");
                  System.out.println("4.- Finalizar");
                  System.out.print("Introduzca número opción escogida : ");
                  opcion = bufferedReader.readLine(); 
                  
                  switch (opcion)
                  { 
                      case "1": System.out.println("Ejecutaría mantenimiento de clientes");
                                break;
                      case "2": System.out.println("Ejecutaría introducción de facturas");
                                break;
                      case "3": System.out.println("Ejecutaría listado de facturas");
                                break;  
                      case "4": System.out.println("Ha optado por cerrar la aplicación");
                                System.exit(0);
                                break;                                
                  }
                  
                } while (opcion.compareTo("4") != 0);           
        } catch (Exception excepcion)
        { System.out.println(excepcion.getMessage());
        }        
    }
}
